GNU bug report logs - #29981
25.3; WoMan can no longer read OpenSSH man pages

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: "xemdetia ." <xemdetia@HIDDEN>; merged with #23160, #33504; dated Thu, 4 Jan 2018 17:12:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 23160 29981 33504. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 23160 29981. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 29981 <at> debbugs.gnu.org:


Received: (at 29981) by debbugs.gnu.org; 4 Jan 2018 18:12:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 04 13:12:08 2018
Received: from localhost ([127.0.0.1]:35970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eX9zs-0005jo-7W
	for submit <at> debbugs.gnu.org; Thu, 04 Jan 2018 13:12:08 -0500
Received: from eggs.gnu.org ([208.118.235.92]:46005)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eX9zq-0005jL-Jp
 for 29981 <at> debbugs.gnu.org; Thu, 04 Jan 2018 13:12:06 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eX9zi-0004Ph-5G
 for 29981 <at> debbugs.gnu.org; Thu, 04 Jan 2018 13:12:01 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:57153)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eX9zi-0004Pb-13; Thu, 04 Jan 2018 13:11:58 -0500
Received: from [176.228.60.248] (port=3580 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eX9zh-0007W0-Br; Thu, 04 Jan 2018 13:11:57 -0500
Date: Thu, 04 Jan 2018 20:11:59 +0200
Message-Id: <83bmi9bij4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "xemdetia ." <xemdetia@HIDDEN>
In-reply-to: <CAJRE_OWFsDe_0vMvZXzDge77-EvG2FZv0RbCA1UVUoADD2W2RA@HIDDEN>
 (xemdetia@HIDDEN)
Subject: Re: bug#29981: 25.3; WoMan can no longer read OpenSSH man pages
References: <CAJRE_OWFsDe_0vMvZXzDge77-EvG2FZv0RbCA1UVUoADD2W2RA@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29981
Cc: 29981 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: "xemdetia ." <xemdetia@HIDDEN>
> Date: Thu, 4 Jan 2018 11:32:20 -0500
> 
> Run emacs -Q --execute '(woman "ssh_config")'. System is running Debian
> 9 with openssh-server package 7.4p1-10+deb9u2. It's dying in
> http://git.savannah.gnu.org/cgit/emacs.git/tree/lisp/woman.el#n2281.

It's a known problem, and the error message is self-explanatory, I
think:

> woman-decode-region: WoMan can only format man pages written with the usual ‘-man’ macros

Volunteers are welcome to upgrade woman.el so that it can handle
modern man pages with tricky macros.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29981; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Jan 2018 17:11:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 04 12:11:32 2018
Received: from localhost ([127.0.0.1]:35894 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eX93D-0004GZ-Pb
	for submit <at> debbugs.gnu.org; Thu, 04 Jan 2018 12:11:32 -0500
Received: from eggs.gnu.org ([208.118.235.92]:52736)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <xemdetia@HIDDEN>) id 1eX8RY-0003N1-E0
 for submit <at> debbugs.gnu.org; Thu, 04 Jan 2018 11:32:36 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <xemdetia@HIDDEN>) id 1eX8RR-0002gx-G4
 for submit <at> debbugs.gnu.org; Thu, 04 Jan 2018 11:32:31 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47167)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <xemdetia@HIDDEN>)
 id 1eX8RR-0002gp-CW
 for submit <at> debbugs.gnu.org; Thu, 04 Jan 2018 11:32:29 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:43592)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <xemdetia@HIDDEN>) id 1eX8RO-0007Yi-F6
 for bug-gnu-emacs@HIDDEN; Thu, 04 Jan 2018 11:32:29 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <xemdetia@HIDDEN>) id 1eX8RK-0002Yy-4d
 for bug-gnu-emacs@HIDDEN; Thu, 04 Jan 2018 11:32:25 -0500
Received: from mail-ot0-x230.google.com ([2607:f8b0:4003:c0f::230]:35961)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <xemdetia@HIDDEN>)
 id 1eX8RJ-0002Y2-TP
 for bug-gnu-emacs@HIDDEN; Thu, 04 Jan 2018 11:32:22 -0500
Received: by mail-ot0-x230.google.com with SMTP id w4so1743836otg.3
 for <bug-gnu-emacs@HIDDEN>; Thu, 04 Jan 2018 08:32:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=808inorganic-com.20150623.gappssmtp.com; s=20150623;
 h=mime-version:from:date:message-id:subject:to;
 bh=NcgTMK7e+ErtcBG9Zv5FF2tgS1rKIOFoOww9g3C4FkY=;
 b=r+8DqXU2i05SvCDi2v/PKTPDTrJCH6vb2aKG8QAzKGqNz5+3mwyZAoI6QgVWzLr4t0
 8tzH8lypQ1Um+rhayCFIAsGlFMXhNRLKpGHrxNJl+qw4SBJU3950NT7cEFM7KxtF16dT
 65a3wB+qKIdCX29/YqIOshmhxv1r50UAlzH0JJfeAX0Ml4dqXAfQCXTRNX7/1YCyxqn/
 8u7qh2sPP9SW81pSf8J4xaAjrMG3odXHkq8c+unq9FZ3/5IOOYT0CaDKRO23totQ3J9Y
 t3paWxs78etTiDHYu4lvbXl7fnrvMNgGIWD6U8j+soY+0SC8RiPdG+eFMOXNwmqhQ4MT
 W9/A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=NcgTMK7e+ErtcBG9Zv5FF2tgS1rKIOFoOww9g3C4FkY=;
 b=L5UVAB9tpg+jfEKcIvGBcjZtOO5VgEYfm2IxIMBUKlM2YNhPN1etPUBaUSYCHjRQGL
 QgfvynHchR0iEmQI2cj8C2v/T8nSg8mn3HVZNBoyaxXUZ1UEpPmf1m/eIXuFBbkkpE1u
 lxarGjszVN3YoqkZHrm2qGaDGh3IoRtmpDB1wmzUrqhikjqTYohDAxsX9+8+GYYtiTJl
 WW1G3A/GF74FEpvv9Yta24GBAqOKToW4dUoVK1PBYrt5OAtohAP7yodW71tY9ITCwVuh
 Zdgh8I+F0Xo2M95NdJQPUzkGHuBwJmyOCdIz/DX7q5328klvfh9H9e12RekYSaUGTKnL
 BJCg==
X-Gm-Message-State: AKwxytd66Hbe1q0/AUJCh9ibUy6YMa5qkxh7pqPoeDjFCSfCjBy8WIg9
 qtqShnPe2h86Db/SckbJYrPj1e35yM/KI0p7GlKSyVX+
X-Google-Smtp-Source: ACJfBotOa9PVvaIfT1mcYReGFzmi8vemRfrrt4yz3FTslyvbU2sOu12SM18sEA4/P2FQ2Y9xH8Ec24p0ektemtb0lmM=
X-Received: by 10.157.46.79 with SMTP id c15mr88253otd.4.1515083540605; Thu,
 04 Jan 2018 08:32:20 -0800 (PST)
MIME-Version: 1.0
Received: by 10.168.117.76 with HTTP; Thu, 4 Jan 2018 08:32:20 -0800 (PST)
X-Originating-IP: [173.76.169.164]
From: "xemdetia ." <xemdetia@HIDDEN>
Date: Thu, 4 Jan 2018 11:32:20 -0500
Message-ID: <CAJRE_OWFsDe_0vMvZXzDge77-EvG2FZv0RbCA1UVUoADD2W2RA@HIDDEN>
Subject: 25.3; WoMan can no longer read OpenSSH man pages
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="001a11396c883e42510561f5e068"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 04 Jan 2018 12:11:30 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a11396c883e42510561f5e068
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Run emacs -Q --execute '(woman "ssh_config")'. System is running Debian
9 with openssh-server package 7.4p1-10+deb9u2. It's dying in
http://git.savannah.gnu.org/cgit/emacs.git/tree/lisp/woman.el#n2281.



In GNU Emacs 25.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.22.11)
 of 2017-11-20 built on commander
Windowing system distributor 'The X.Org Foundation', version 11.0.11902000
System Description:    Debian GNU/Linux 9.3 (stretch)

Configured using:
 'configure --prefix=3D/opt/emacs-25.3'

Configured features:
XPM JPEG TIFF GIF PNG SOUND DBUS GSETTINGS NOTIFY FREETYPE XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Building list of manual directory expansions...
Building completion list of all manual topics...
uncompressing ssh_config.5.gz...done
WoMan formatting buffer...
woman-decode-region: WoMan can only format man pages written with the usual
=E2=80=98-man=E2=80=99 macros
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message dired format-spec rfc822 mml
mml-sec password-cache epg epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util help-fns mail-prsvr mail-utils
disp-table view jka-compr woman cl-extra help-mode man easymenu
cl-loaddefs pcase cl-lib ansi-color time-date mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese charscript case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
dbusbind inotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 121139 4967)
 (symbols 48 20368 0)
 (miscs 40 49 146)
 (strings 32 23609 4539)
 (string-bytes 1 556396)
 (vectors 16 12732)
 (vector-slots 8 445784 5101)
 (floats 8 169 13)
 (intervals 56 195 0)
 (buffers 976 20))

--001a11396c883e42510561f5e068
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br>Run emacs -Q --execute &#39;(woman &quot;ssh_config&qu=
ot;)&#39;. System is running Debian<br>9 with openssh-server package 7.4p1-=
10+deb9u2. It&#39;s dying in <a href=3D"http://git.savannah.gnu.org/cgit/em=
acs.git/tree/lisp/woman.el#n2281">http://git.savannah.gnu.org/cgit/emacs.gi=
t/tree/lisp/woman.el#n2281</a>.<br><br><br><br>In GNU Emacs 25.3.1 (x86_64-=
pc-linux-gnu, GTK+ Version 3.22.11)<br>=C2=A0of 2017-11-20 built on command=
er<br>Windowing system distributor &#39;The X.Org Foundation&#39;, version =
11.0.11902000<br>System Description:=C2=A0=C2=A0=C2=A0 Debian GNU/Linux 9.3=
 (stretch)<br><br>Configured using:<br>=C2=A0&#39;configure --prefix=3D/opt=
/emacs-25.3&#39;<br><br>Configured features:<br>XPM JPEG TIFF GIF PNG SOUND=
 DBUS GSETTINGS NOTIFY FREETYPE XFT ZLIB<br>TOOLKIT_SCROLL_BARS GTK3 X11<br=
><br>Important settings:<br>=C2=A0 value of $LANG: en_US.UTF-8<br>=C2=A0 lo=
cale-coding-system: utf-8-unix<br><br>Major mode: Fundamental<br><br>Minor =
modes in effect:<br>=C2=A0 tooltip-mode: t<br>=C2=A0 global-eldoc-mode: t<b=
r>=C2=A0 electric-indent-mode: t<br>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 to=
ol-bar-mode: t<br>=C2=A0 menu-bar-mode: t<br>=C2=A0 file-name-shadow-mode: =
t<br>=C2=A0 global-font-lock-mode: t<br>=C2=A0 blink-cursor-mode: t<br>=C2=
=A0 auto-composition-mode: t<br>=C2=A0 auto-encryption-mode: t<br>=C2=A0 au=
to-compression-mode: t<br>=C2=A0 line-number-mode: t<br>=C2=A0 transient-ma=
rk-mode: t<br><br>Recent messages:<br>For information about GNU Emacs and t=
he GNU system, type C-h C-a.<br>Building list of manual directory expansion=
s...<br>Building completion list of all manual topics...<br>uncompressing s=
sh_config.5.gz...done<br>WoMan formatting buffer...<br>woman-decode-region:=
 WoMan can only format man pages written with the usual =E2=80=98-man=E2=80=
=99 macros<br>Making completion list...<br><br>Load-path shadows:<br>None f=
ound.<br><br>Features:<br>(shadow sort mail-extr emacsbug message dired for=
mat-spec rfc822 mml<br>mml-sec password-cache epg epg-config gnus-util mm-d=
ecode mm-bodies<br>mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailhe=
ader sendmail<br>rfc2047 rfc2045 ietf-drums mm-util help-fns mail-prsvr mai=
l-utils<br>disp-table view jka-compr woman cl-extra help-mode man easymenu<=
br>cl-loaddefs pcase cl-lib ansi-color time-date mule-util tooltip eldoc<br=
>electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win<br>term=
/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe<br>tabulated=
-list newcomment elisp-mode lisp-mode prog-mode register page<br>menu-bar r=
fn-eshadow timer select scroll-bar mouse jit-lock font-lock<br>syntax facem=
enu font-core frame cl-generic cham georgian utf-8-lang<br>misc-lang vietna=
mese tibetan thai tai-viet lao korean japanese eucjp-ms<br>cp51932 hebrew g=
reek romanian slovak czech european ethiopic indian<br>cyrillic chinese cha=
rscript case-table epa-hook jka-cmpr-hook help<br>simple abbrev minibuffer =
cl-preloaded nadvice loaddefs button faces<br>cus-face macroexp files text-=
properties overlay sha1 md5 base64 format<br>env code-pages mule custom wid=
get hashtable-print-readable backquote<br>dbusbind inotify dynamic-setting =
system-font-setting font-render-setting<br>move-toolbar gtk x-toolkit x mul=
ti-tty make-network-process emacs)<br><br>Memory information:<br>((conses 1=
6 121139 4967)<br>=C2=A0(symbols 48 20368 0)<br>=C2=A0(miscs 40 49 146)<br>=
=C2=A0(strings 32 23609 4539)<br>=C2=A0(string-bytes 1 556396)<br>=C2=A0(ve=
ctors 16 12732)<br>=C2=A0(vector-slots 8 445784 5101)<br>=C2=A0(floats 8 16=
9 13)<br>=C2=A0(intervals 56 195 0)<br>=C2=A0(buffers 976 20))<br><br></div=
>

--001a11396c883e42510561f5e068--




Acknowledgement sent to "xemdetia ." <xemdetia@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#29981; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.